## ros-indigo-nao-moveit-config 0.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(FILES .setup_assistant DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-nao-moveit-config (0.0.11-0trusty) trusty; urgency=high

  * Merge pull request #18 <https://github.com/ros-naoqi/nao_moveit_config/issues/18> from ros-naoqi/update_maintainers
    update maintainers
  * update maintainers
  * Merge pull request #17 <https://github.com/ros-naoqi/nao_moveit_config/issues/17> from ros-naoqi/nlyubova-patch-2
    Update the execution time
  * Update the execution time
  * Merge pull request #16 <https://github.com/ros-naoqi/nao_moveit_config/issues/16> from ros-naoqi/fix-deprecated-warnings
    Fix deprecated warnings
  * update parameter namespace
  * fix deprecated xacro call
  * use action rather than service for trajectory execution
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Surya Ambrose <surya.ambrose@gmail.com>  Fri, 20 Jan 2017 08:00:00 -0000

ros-indigo-nao-moveit-config (0.0.10-0trusty) trusty; urgency=high

  * Update README.rst
  * adding RRT as default planner
  * remove vrabaud as a maintainer
  * Merge pull request #12 <https://github.com/ros-naoqi/nao_moveit_config/issues/12> from ros-naoqi/update_dead_links
    update dead links
  * update dead links
  * updating the README
  * Contributors: Mikael Arguedas, Natalia Lyubova, Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sun, 18 Sep 2016 07:00:00 -0000

ros-indigo-nao-moveit-config (0.0.9-0trusty) trusty; urgency=high

  * remove nao_meshes from dependency because license not displayed on buildfarm
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 03 Feb 2016 08:00:00 -0000

ros-indigo-nao-moveit-config (0.0.8-0trusty) trusty; urgency=high

  * updated dependency list
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 03 Feb 2016 08:00:00 -0000

ros-indigo-nao-moveit-config (0.0.7-0trusty) trusty; urgency=high

  * homogenize group names to match side_bodyChain
  * added end effectors for legs
  * update collision matrix: fix collision on NAO's feet
  * rename demo_real.launch into moveit_planner.launch to match tutorials
  * Merge pull request #9 <https://github.com/ros-naoqi/nao_moveit_config/issues/9> from nlyubova/master
    missing collisions
  * fixing srdf, adding missing collisions
  * fixing the projection_evaluator joints for hand groups
  * added demo_real.launch from nlyubova's fork
  * Contributors: Mikael Arguedas, Vincent Rabaud, nlyubova

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Sat, 23 Jan 2016 08:00:00 -0000

ros-indigo-nao-moveit-config (0.0.6-0trusty) trusty; urgency=high

  * updating the readme
  * fixing the config for the most recent urdf
  * add myself as a maintainer
  * Contributors: Vincent Rabaud, nlyubova
  * add myself as a maintainer
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 21 Oct 2015 07:00:00 -0000

ros-indigo-nao-moveit-config (0.0.5-0trusty) trusty; urgency=high

  * install the .setup_assistant file for potential introspection
  * remove the URDF and fix the README
  * add a .setup_assistant
  * Added foot and pelvis fake controllers
  * Added foot and pelvis controllers
  * Contributors: Arguedas Mikael, Konstantinos Chatzilygeroudis, Vincent Rabaud

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Mon, 25 May 2015 07:00:00 -0000

ros-indigo-nao-moveit-config (0.0.4-0trusty) trusty; urgency=high

  * fixed collision for ankle
  * fixed path to xacro file
  * fixed hand links names
  * Update README.rst
    Added note for missing deppendency
  * add missing dependency
  * added moveit tutorial
  * Contributors: Arguedas Mikael, Mikael ARGUEDAS, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-nao-moveit-config (0.0.3-0trusty) trusty; urgency=high

  * update README
  * Merge branch 'master' of github.com:ros-nao/nao_moveit_config
  * unify group names to match romeo_moveit_config agreement
  * Update README.rst
  * Update README.rst
  * fixed dependencies and update README
  * Initial tracks.yaml
  * Contributors: Arguedas Mikael, margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 01 Oct 2014 07:00:00 -0000

ros-indigo-nao-moveit-config (0.0.2-0trusty) trusty; urgency=high

  * added version argument to every launchfile
  * avoid looping animations
  * fixed moveit.rviz location
  * Merge branch 'master' of github.com:ros-aldebaran/nao_moveit_config
  * fixed robot_description xacro path
  * Contributors: margueda

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Wed, 24 Sep 2014 07:00:00 -0000

ros-indigo-nao-moveit-config (0.0.1-0trusty) trusty; urgency=high

  * fix typos
  * Update README.md
  * Update README.md
  * updated model and cleaning
  * update README
  * new moveit with controllers
  * add README
  * initial commit of Ioan's modifications
  * Contributors: Arguedas Mikael, Vincent Rabaud, margueda

 -- Mikael Arguedas <assistant@moveit.ros.org>  Thu, 18 Sep 2014 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-moveit-config
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-nao-description
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-nao-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-moveit-fake-controller-manager, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-moveit-simple-controller-manager, ros-indigo-nao-description, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the NAO robot with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
